# class ActiveSupport::OrderedOptions

### Public Instance Methods

[](key) click to toggle source

    # File lib/active_support/ordered_options.rb, line 28
    def [](key)
      super(key.to_sym)
    end

Also aliased as: _get
[]=(key, value) click to toggle source

    # File lib/active_support/ordered_options.rb, line 24
    def []=(key, value)
      super(key.to_sym, value)
    end

_get(key) click to toggle source
Alias for: []
method_missing(name, *args) click to toggle source

    # File lib/active_support/ordered_options.rb, line 32
    def method_missing(name, *args)
      if name.to_s =~ %r(.*)=$/
        self[$1] = args.first
      else
        self[name]
      end
    end

respond_to?(name) click to toggle source

    # File lib/active_support/ordered_options.rb, line 40
    def respond_to?(name)
      true
    end